## fuzzylite 5.0+dfsg

=== fuzzylite/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(fuzzylite CXX)

set(CMAKE_VERBOSE_MAKEFILE false)

set(FL_VERSION 5.0)
add_definitions(-DFL_VERSION="${FL_VERSION}")

set(FL_DATE "1408")
add_definitions(-DFL_DATE="${FL_DATE}")

add_definitions(-DFL_BUILD_PATH="${CMAKE_SOURCE_DIR}") #used to determine FL__FILE__

option(FL_USE_FLOAT "Use fl::scalar as float" OFF)
option(FL_BACKTRACE "Provide backtrace information in case of errors" OFF)
option(FL_CPP11 "Builds utilizing C++11, i.e., passing -std=c++11" OFF)

if(FL_USE_FLOAT)
    add_definitions(-DFL_USE_FLOAT)
endif(FL_USE_FLOAT)

if(NOT FL_BACKTRACE)
    add_definitions(-DFL_BACKTRACE_OFF)
endif()

if(FL_CPP11)
    add_definitions(-DFL_CPP11)
    if(UNIX)
        add_definitions(-std=c++11)
    endif(UNIX)
endif(FL_CPP11)


if(WIN32)
    message("Windows")
    add_definitions(-DFL_WINDOWS)
endif()

if (UNIX)
    message("Unix")
    add_definitions(-DFL_UNIX)
endif()

if (APPLE)
    message("Apple")
    add_definitions(-DFL_APPLE)
endif()


set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY bin)

if(UNIX)
    set(CMAKE_CXX_FLAGS "-pedantic -Werror -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")

    if(NOT APPLE)
        set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined") #To avoid undefined methods in library
    endif()
endif()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-non-literal-null-conversion")
endif()

set(FL_LIBS)

if(WIN32)
    set(CMAKE_CXX_FLAGS "/WX /W4 /EHsc")
    #Wx: Treat warnings as errors. W4: All warnings
    #http://msdn.microsoft.com/en-us/library/thxezb7y.aspx
    #EHsc: call destructors on __try __catch, and to ignore C4530: C++ exception handler used. Note, unwind semantics are not enabled
    #/wd4251 disable warning 4251 #http://www.unknownroad.com/rtfm/VisualStudio/warningC4251.html
    #To avoid issues from disabling warning 4251, MSVCRT.lib is statically linked to resolve external references
    #http://msdn.microsoft.com/en-us/library/2kzt1wy3.aspx
    #set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MD")
    #set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MDd")
    #By default, MD is selected.

    if (FL_BACKTRACE)
        set(FL_LIBS dbghelp)
    endif()
endif()

include_directories(.)
cmake_policy(SET CMP0015 OLD)
link_directories(.)

file(STRINGS FL_HEADERS fl-headers)
file(STRINGS FL_SOURCES fl-sources)

string(REGEX REPLACE "\n" " " ${fl-headers} ${fl-headers})
string(REGEX REPLACE "\n" " " ${fl-sources} ${fl-sources})

message("${exepath}")


set(CMAKE_DEBUG_POSTFIX d)

add_library(fl-shared SHARED ${fl-headers} ${fl-sources})
set_target_properties(fl-shared PROPERTIES OUTPUT_NAME fuzzylite)
set_target_properties(fl-shared PROPERTIES DEBUG_POSTFIX d)
set_target_properties(fl-shared PROPERTIES COMPILE_DEFINITIONS "FL_EXPORT_LIBRARY")
target_link_libraries(fl-shared ${FL_LIBS})

add_library(fl-static STATIC ${fl-headers} ${fl-sources})
set_target_properties(fl-static PROPERTIES OUTPUT_NAME fuzzylite-static)
set_target_properties(fl-static PROPERTIES DEBUG_POSTFIX d)
target_link_libraries(fl-static ${FL_LIBS})

add_executable(fl-bin src/main.cpp)
set_target_properties(fl-bin PROPERTIES OUTPUT_NAME fuzzylite)
set_target_properties(fl-bin PROPERTIES OUTPUT_NAME fuzzylite IMPORT_PREFIX tmp-) #To prevent LNK1149 in Windows
set_target_properties(fl-bin PROPERTIES DEBUG_POSTFIX d)
#set_target_properties(fl-bin PROPERTIES COMPILE_DEFINITIONS "FL_IMPORT_LIBRARY")
#target_link_libraries(fl-bin fl-shared ${FL_LIBS})
target_link_libraries(fl-bin fl-static ${FL_LIBS})


install(TARGETS fl-bin fl-shared fl-static
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        )

install(DIRECTORY fl/ DESTINATION include/fl)

message("=====================================")
message("fuzzylite v.${FL_VERSION}b${FL_DATE}\n")
message("FL_USE_FLOAT=${FL_USE_FLOAT}")
message("FL_BACKTRACE=${FL_BACKTRACE}")
message("FL_CPP11=${FL_CPP11}")
message("Build=${CMAKE_BUILD_TYPE}")
message("=====================================\n")

# uninstall target
#configure_file(
    #"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    #"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    #IMMEDIATE @ONLY)

#add_custom_target(uninstall
    #COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/uninstall.cmake)

#unix uninstall
#xargs rm < install_manifest.txt

=== debian/changelog ===
fuzzylite (5.0+dfsg-3) unstable; urgency=medium

  * change my email in Uploaders field to josch@debian.org
  * add Vcs-Browser and Vcs-Git fields
  * d/watch: use repacksuffix and use dversionmangle instead of uversionmangle
  * d/rules: add get-orig-source target
  * change priority from extra to optional because it has no conflicts and is
    not a debug package

 -- Johannes Schauer <josch@debian.org>  Wed, 04 Feb 2015 14:14:39 +0100

fuzzylite (5.0+dfsg-2) unstable; urgency=medium

  * add patch 20141027-fix-some-spelling to fix some spelling mistakes until
    the next upstream release
  * bump Standards-Version to 3.9.6. No changes needed.

 -- Johannes Schauer <j.schauer@email.de>  Sun, 16 Nov 2014 22:14:30 +0100

fuzzylite (5.0+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #761075)

 -- Johannes Schauer <j.schauer@email.de>  Mon, 01 Sep 2014 21:25:35 +0200

=== debian/control ===
Source: fuzzylite
Section: misc
Priority: optional
Maintainer: Johannes Schauer <josch@debian.org>
Standards-Version: 3.9.6
Homepage: http://www.fuzzylite.com/cpp/
Build-Depends: debhelper (>= 9), cmake
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fuzzylite.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/fuzzylite.git

Package: fuzzylite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fuzzy logic control binary
 fuzzylite is a fuzzy logic control library which allows one to easily
 create fuzzy logic controllers in a few steps utilizing object-oriented
 programming. It supports five controller types (Mamdani, Takagi-Sugeno,
 Larsen, Tsukamoto, Inverse Tsukamoto), 20 linguistic terms, five
 integral and two weighted defuzzifiers, six hedge types, three import
 types (FuzzyLite Language, Fuzzy Inference System and Fuzzy Control
 Language) and six export types (C++, Java, FuzzyLite Language, FuzzyLite
 Dataset, Fuzzy Inference System, Fuzzy Control Language). It comes
 bundled with more than thirty examples for Mamdani, Takagi-Sugeno and
 Tsukamoto controllers from fuzzylite, octave and matlab, each in all
 supported export formats.
 .
 This package contains the runtime binary


Package: libfuzzylite5.0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: fuzzy logic control shared library
 fuzzylite is a fuzzy logic control library which allows one to easily
 create fuzzy logic controllers in a few steps utilizing object-oriented
 programming. It supports five controller types (Mamdani, Takagi-Sugeno,
 Larsen, Tsukamoto, Inverse Tsukamoto), 20 linguistic terms, five
 integral and two weighted defuzzifiers, six hedge types, three import
 types (FuzzyLite Language, Fuzzy Inference System and Fuzzy Control
 Language) and six export types (C++, Java, FuzzyLite Language, FuzzyLite
 Dataset, Fuzzy Inference System, Fuzzy Control Language). It comes
 bundled with more than thirty examples for Mamdani, Takagi-Sugeno and
 Tsukamoto controllers from fuzzylite, octave and matlab, each in all
 supported export formats.
 .
 This package contains the shared library

Package: libfuzzylite-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libfuzzylite5.0 (= ${binary:Version})
Section: libdevel
Description: fuzzy logic control development headers
 fuzzylite is a fuzzy logic control library which allows one to easily
 create fuzzy logic controllers in a few steps utilizing object-oriented
 programming. It supports five controller types (Mamdani, Takagi-Sugeno,
 Larsen, Tsukamoto, Inverse Tsukamoto), 20 linguistic terms, five
 integral and two weighted defuzzifiers, six hedge types, three import
 types (FuzzyLite Language, Fuzzy Inference System and Fuzzy Control
 Language) and six export types (C++, Java, FuzzyLite Language, FuzzyLite
 Dataset, Fuzzy Inference System, Fuzzy Control Language). It comes
 bundled with more than thirty examples for Mamdani, Takagi-Sugeno and
 Tsukamoto controllers from fuzzylite, octave and matlab, each in all
 supported export formats.
 .
 This package contains the development headers

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --sourcedirectory=fuzzylite --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --repack --compression=xz --download-current-version

## fuzzylite 5.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fuzzylite
 Section: misc
 Priority: optional
-Maintainer: Johannes Schauer <josch@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Johannes Schauer <josch@debian.org>
 Standards-Version: 3.9.6
 Homepage: http://www.fuzzylite.com/cpp/
 Build-Depends: debhelper (>= 9), cmake
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/fuzzylite.git/
-Vcs-Git: git://anonscm.debian.org/collab-maint/fuzzylite.git
+Vcs-Browser: https://browse.dgit.debian.org/fuzzylite.git/
+Vcs-Git: https://git.dgit.debian.org/fuzzylite
 
 Package: fuzzylite
 Architecture: any
@@ -27,11 +28,14 @@
  This package contains the runtime binary
 
 
-Package: libfuzzylite5.0
+Package: libfuzzylite5.1v5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libfuzzylite5.1
+Breaks: libfuzzylite5.1
+Conflicts: libfuzzylite5.1
 Description: fuzzy logic control shared library
  fuzzylite is a fuzzy logic control library which allows one to easily
  create fuzzy logic controllers in a few steps utilizing object-oriented
@@ -50,7 +54,7 @@
 Package: libfuzzylite-dev
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libfuzzylite5.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libfuzzylite5.1v5 (= ${binary:Version})
 Section: libdevel
 Description: fuzzy logic control development headers
  fuzzylite is a fuzzy logic control library which allows one to easily

## fuzzylite 5.1+dfsg

=== fuzzylite/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(fuzzylite CXX)

###DEFINES SECTION
if(NOT CMAKE_VERBOSE_MAKEFILE)
    set(CMAKE_VERBOSE_MAKEFILE false)
endif()

set(FL_VERSION 5.1)
add_definitions(-DFL_VERSION="${FL_VERSION}")

set(FL_DATE "1507")
add_definitions(-DFL_DATE="${FL_DATE}")

add_definitions(-DFL_BUILD_PATH="${CMAKE_SOURCE_DIR}") #used to determine FL__FILE__

option(FL_BUILD_SHARED "Build shared library" ON)
option(FL_BUILD_STATIC "Build static library" ON)
if(FL_BUILD_SHARED)
    option(FL_BUILD_BINARY "Build fuzzylite binary" ON)
endif()

option(FL_USE_FLOAT "Use fl::scalar as float" OFF)
option(FL_BACKTRACE "Provide backtrace information in case of errors" OFF)
option(FL_CPP11 "Builds utilizing C++11, i.e., passing -std=c++11" OFF)

if(FL_CPP11 AND MSVC)
    message("Warning: MSVC not compatible with FL_CPP11 flag")
endif()

if(FL_USE_FLOAT)
    add_definitions(-DFL_USE_FLOAT)
endif(FL_USE_FLOAT)

if(NOT FL_BACKTRACE)
    add_definitions(-DFL_BACKTRACE_OFF)
endif()

if(FL_CPP11)
    add_definitions(-DFL_CPP11)
    if(NOT MSVC)
        add_definitions(-std=c++11)
    endif(NOT MSVC)
endif(FL_CPP11)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY bin)

if(NOT MSVC)
    set(CMAKE_CXX_FLAGS "-pedantic -Wall -Wextra ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")

    if(NOT APPLE)
        set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAGS}") #To avoid undefined methods in library
    endif()
endif()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-non-literal-null-conversion")
endif()

set(FL_LIBS)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/W4 /EHsc")
    #Wx: Treat warnings as errors. W4: All warnings
    #http://msdn.microsoft.com/en-us/library/thxezb7y.aspx
    #EHsc: call destructors on __try __catch, and to ignore C4530: C++ exception handler used. Note, unwind semantics are not enabled
    if (FL_BACKTRACE)
        set(FL_LIBS dbghelp)
    endif()
endif()

###BUILD SECTION

include_directories(.)
if (APPLE)
    cmake_policy(SET CMP0042 NEW)
endif()

file(STRINGS FL_HEADERS fl-headers)
file(STRINGS FL_SOURCES fl-sources)

string(REGEX REPLACE "\n" " " ${fl-headers} ${fl-headers})
string(REGEX REPLACE "\n" " " ${fl-sources} ${fl-sources})

message("${exepath}")


set(CMAKE_DEBUG_POSTFIX d)

if (MSVC OR CMAKE_GENERATOR STREQUAL Xcode)
    if(FL_BUILD_SHARED)
        add_library(fl-shared SHARED ${fl-headers} ${fl-sources})
    endif()

    if(FL_BUILD_STATIC)
        add_library(fl-static STATIC ${fl-headers} ${fl-sources})
    endif()
else()
    if(FL_BUILD_SHARED OR FL_BUILD_STATIC)
        add_library(fl-obj OBJECT ${fl-headers} ${fl-sources})
        if(NOT MINGW)
            set_target_properties(fl-obj PROPERTIES COMPILE_FLAGS "-fPIC")
        endif()
    endif()

    if(FL_BUILD_SHARED)
        add_library(fl-shared SHARED $<TARGET_OBJECTS:fl-obj>)
    endif(FL_BUILD_SHARED)

    if(FL_BUILD_STATIC)
        add_library(fl-static STATIC $<TARGET_OBJECTS:fl-obj>)
    endif(FL_BUILD_STATIC)
endif()

if(FL_BUILD_SHARED)
    set_target_properties(fl-shared PROPERTIES OUTPUT_NAME fuzzylite)
    set_target_properties(fl-shared PROPERTIES DEBUG_POSTFIX d)
    set_target_properties(fl-shared PROPERTIES COMPILE_DEFINITIONS "FL_EXPORT_LIBRARY")
    set_target_properties(fl-shared PROPERTIES VERSION 5.1)
    target_link_libraries(fl-shared ${FL_LIBS})
endif()

if(FL_BUILD_STATIC)
    set_target_properties(fl-static PROPERTIES OUTPUT_NAME fuzzylite-static)
    set_target_properties(fl-static PROPERTIES DEBUG_POSTFIX d)
    set_target_properties(fl-static PROPERTIES VERSION 5.1)
    target_link_libraries(fl-static ${FL_LIBS})
endif()

if(FL_BUILD_BINARY)
    add_executable(fl-bin src/main.cpp)
    set_target_properties(fl-bin PROPERTIES OUTPUT_NAME fuzzylite)
    set_target_properties(fl-bin PROPERTIES OUTPUT_NAME fuzzylite IMPORT_PREFIX tmp-) #To prevent LNK1149 in Windows
    set_target_properties(fl-bin PROPERTIES DEBUG_POSTFIX d)

    set_target_properties(fl-bin PROPERTIES COMPILE_DEFINITIONS "FL_IMPORT_LIBRARY")
    target_link_libraries(fl-bin fl-shared ${FL_LIBS})
endif(FL_BUILD_BINARY)

###INSTALL SECTION
if(NOT FL_INSTALL_BINDIR)
    set(FL_INSTALL_BINDIR bin)
endif()

if(NOT FL_INSTALL_LIBDIR)
    if(NOT CMAKE_INSTALL_LIBDIR)
        set(FL_INSTALL_LIBDIR lib)
    else()
        set(FL_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
    endif()
endif()

if(FL_BUILD_BINARY)
    install(TARGETS fl-bin 
            RUNTIME DESTINATION ${FL_INSTALL_BINDIR}
            LIBRARY DESTINATION ${FL_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${FL_INSTALL_LIBDIR}
    )
endif()

if(FL_BUILD_SHARED)
    install(TARGETS fl-shared 
            RUNTIME DESTINATION ${FL_INSTALL_BINDIR}
            LIBRARY DESTINATION ${FL_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${FL_INSTALL_LIBDIR}
    )
endif()

if(FL_BUILD_STATIC)
    install(TARGETS fl-static
            RUNTIME DESTINATION ${FL_INSTALL_BINDIR}
            LIBRARY DESTINATION ${FL_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${FL_INSTALL_LIBDIR}
    )
endif()

install(DIRECTORY fl/ DESTINATION include/fl)

#pkg-config
configure_file(${CMAKE_SOURCE_DIR}/fuzzylite.pc.in ${CMAKE_BINARY_DIR}/fuzzylite.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/fuzzylite.pc DESTINATION lib/pkgconfig)

message("=====================================")
message("fuzzylite v.${FL_VERSION}b${FL_DATE}\n")
message("FL_USE_FLOAT=${FL_USE_FLOAT}")
message("FL_CPP11=${FL_CPP11}")
message("FL_BACKTRACE=${FL_BACKTRACE}")
message("FL_INSTALL_BINDIR=${FL_INSTALL_BINDIR}")
message("FL_INSTALL_LIBDIR=${FL_INSTALL_LIBDIR}")
message("Build=${CMAKE_BUILD_TYPE}")
message("=====================================\n")

###UNINSTALL SECTION
#configure_file(
    #"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    #"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    #IMMEDIATE @ONLY)

#add_custom_target(uninstall
    #COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/uninstall.cmake)

#unix uninstall
#xargs rm < install_manifest.txt

=== examples/mamdani/octave/DESCRIPTION ===
Name: fuzzy-logic-toolkit
Version: 0.4.2
Date: 2012-10-02
Author: L. Markowsky <lmarkov@users.sourceforge.net>
Maintainer: L. Markowsky <lmarkov@users.sourceforge.net>
Title: Octave Fuzzy Logic Toolkit
Description: A mostly MATLAB-compatible fuzzy logic toolkit for Octave.
Depends: octave (>= 3.2.4)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net
 http://sf.net/projects/octave-fuzzy

=== debian/changelog ===
fuzzylite (5.1+dfsg-5) unstable; urgency=medium

  * update symbols file using "pkgkde-symbolshelper batchpatch -v '5.1' *.log"
    and build logs for all architectures acquired via "getbuildlog fuzzylite
    '5.1\+dfsg-4'"

 -- Johannes Schauer <josch@debian.org>  Wed, 23 Nov 2016 22:48:59 +0000

fuzzylite (5.1+dfsg-4) unstable; urgency=medium

  * bump Standards-Version to 3.9.8 (no changes required)
  * start using pkgkde-symbolshelper
  * bump debhelper compat level to 10
  * d/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+all

 -- Johannes Schauer <josch@debian.org>  Wed, 23 Nov 2016 17:55:13 +0000

fuzzylite (5.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer permission

  [ Steve Langasek ]
  * Fix up symbols file for symbols that are not part of the ABI and are
    optimized away at -O3 (Closes: #819142).

  [ Gianfranco Costamagna ]
  * Fix build failure with gcc-6 with upstream help (Closes: #811880)
  * Update symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Aug 2016 15:33:03 +0200

fuzzylite (5.1+dfsg-3) unstable; urgency=medium

  * let libfuzzylite5.1v5 replace libfuzzylite5.1 (Closes: #803357)
  * add debian/libfuzzylite5.1v5.symbols.optional to deal with all the
    libstdc++6/cxx11 junk symbols on 32 as well as on 64 bit arches

 -- Johannes Schauer <josch@debian.org>  Sun, 01 Nov 2015 10:34:42 +0100

fuzzylite (5.1+dfsg-2) unstable; urgency=medium

  * start using dgit git repositories and change Vcs-Browser and Vcs-Git
    field.
  * replace package libfuzzylite5.1 by libfuzzylite5.1v5 because of libstdc++6
    ABI changes (closes: #799818)

 -- Johannes Schauer <josch@debian.org>  Sun, 25 Oct 2015 22:27:15 +0100

fuzzylite (5.1+dfsg-1) unstable; urgency=medium

  * new upstream version (Closes: #777858)
  * removed debian/patches/20140705-minor-improvements-on-building-script as
    upstream integrated it. Adjust build options in d/rules accordingly.
  * delete debian/patches/20140714-building-from-objects-just-once and
    debian/patches/20141027-fix-some-spelling as they have been applied
    upstream
  * install usr/lib/*/pkgconfig/fuzzylite.pc in fuzzylite-dev
  * SONAME bump from 5.0 to 5.1, so renaming libfuzzylite5.0 to
    libfuzzylite5.1
  * add debian/patches/pkgconfig_installdir to install pkgconfig file in
    correct location

 -- Johannes Schauer <josch@debian.org>  Tue, 07 Jul 2015 11:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: fuzzylite
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Johannes Schauer <josch@debian.org>
-Standards-Version: 3.9.6
+Maintainer: Johannes Schauer <josch@debian.org>
+Standards-Version: 3.9.8
 Homepage: http://www.fuzzylite.com/cpp/
-Build-Depends: debhelper (>= 9), cmake
+Build-Depends: debhelper (>= 10), cmake, pkg-kde-tools
 Vcs-Browser: https://browse.dgit.debian.org/fuzzylite.git/
 Vcs-Git: https://git.dgit.debian.org/fuzzylite

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --sourcedirectory=fuzzylite --parallel
+	dh $@ --sourcedirectory=fuzzylite --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) -DCMAKE_VERBOSE_MAKEFILE=true -DFL_CPP11=ON
 
 override_dh_install:
 	dh_install --fail-missing

## fuzzylite 6.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fuzzylite
 Section: misc
 Priority: optional
-Maintainer: Johannes Schauer <josch@debian.org>
-Standards-Version: 3.9.8
-Homepage: http://www.fuzzylite.com/cpp/
-Build-Depends: debhelper (>= 10), cmake, pkg-kde-tools
-Vcs-Browser: https://browse.dgit.debian.org/fuzzylite.git/
-Vcs-Git: https://git.dgit.debian.org/fuzzylite
+Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
+Standards-Version: 4.6.1
+Homepage: https://www.fuzzylite.com/cpp/
+Build-Depends: debhelper-compat (= 13), cmake, catch2
+Vcs-Browser: https://salsa.debian.org/debian/fuzzylite
+Vcs-Git: https://salsa.debian.org/debian/fuzzylite.git
+Rules-Requires-Root: no
 
 Package: fuzzylite
 Architecture: any
@@ -27,14 +28,12 @@
  This package contains the runtime binary
 
 
-Package: libfuzzylite5.1v5
+Package: libfuzzylite6.0
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libfuzzylite5.1
-Breaks: libfuzzylite5.1
-Conflicts: libfuzzylite5.1
 Description: fuzzy logic control shared library
  fuzzylite is a fuzzy logic control library which allows one to easily
  create fuzzy logic controllers in a few steps utilizing object-oriented
@@ -53,7 +52,7 @@
 Package: libfuzzylite-dev
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libfuzzylite5.1v5 (= ${binary:Version})
+Depends: ${misc:Depends}, libfuzzylite6.0 (= ${binary:Version})
 Section: libdevel
 Description: fuzzy logic control development headers
  fuzzylite is a fuzzy logic control library which allows one to easily

## fuzzylite 6.0+dfsg

=== fuzzylite/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

if (APPLE)
    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
endif()

project(fuzzylite CXX)


if (APPLE)
	cmake_policy(SET CMP0042 NEW)
endif()
if (MSVC)
	cmake_policy(SET CMP0054 NEW)
endif()


###DEFINES SECTION
if(NOT CMAKE_VERBOSE_MAKEFILE)
    set(CMAKE_VERBOSE_MAKEFILE false)
endif()

if( NOT CMAKE_BUILD_TYPE )
    set( CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE )
endif()

add_definitions(-DFL_BUILD_PATH="${CMAKE_SOURCE_DIR}") #used to determine FL__FILE__

option(FL_BUILD_SHARED "Build shared library" ON)
option(FL_BUILD_STATIC "Build static library" ON)
if(FL_BUILD_SHARED)
    option(FL_BUILD_BINARY "Build fuzzylite binary" ON)
endif()

option(FL_CPP98 "Builds utilizing C++98, i.e., passing -std=c++98" OFF)
option(FL_USE_FLOAT "Use fl::scalar as float" OFF)
option(FL_BACKTRACE "Provide backtrace information in case of errors" ON)

option(FL_BUILD_TESTS "Builds the unit tests" ON)

if(FL_USE_FLOAT)
    add_definitions(-DFL_USE_FLOAT)
endif(FL_USE_FLOAT)

if(FL_BACKTRACE)
    add_definitions(-DFL_BACKTRACE)
endif()

if (MSVC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 19)
#C++11 not available before Visual Studio 2015
    if (NOT FL_CPP98)
        set(FL_CPP98 ON)
    endif()
endif()

if(FL_CPP98)
    add_definitions(-DFL_CPP98)
    if(NOT MSVC)
        #Set C++98 by default in Clang and others
        add_definitions(-std=c++98)
    endif()
else()
    if(NOT MSVC)
        #Set C++11 by default in Clang and others
        add_definitions(-std=c++11)
    endif()
endif(FL_CPP98)

#Put all binaries in same location
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY bin)

if(NOT MSVC)
#TODO: Remove -Werror before release.
#Add Unix compilation flags
    set(CMAKE_CXX_FLAGS "-pedantic -Wall -Wextra -Werror ${CMAKE_CXX_FLAGS}")

    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")

    if(NOT APPLE)
        set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAGS}") #To avoid undefined methods in library
    endif()
endif()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
#Address fl::null errors of literal null conversion
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-non-literal-null-conversion")
endif()


if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_EQUAL 6)
	#In GNU gcc v6, the default is C++11
        if (FL_CPP98)
            #set the default to C++98
            #Fix error: 'template<class> class std::auto_ptr' is deprecated with gcc-6
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++98")
        endif()
    endif()
    #In GNU gcc 4.7, Op::str(T, std::size_t(0)) raises a warning of type-limits
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-type-limits")
    endif()
endif()


set(FL_LIBS)

if(MSVC)
#Set compilation flags in Windows
    set(CMAKE_CXX_FLAGS "/W4 /EHsc")
    #Wx: Treat warnings as errors. W4: All warnings
    #http://msdn.microsoft.com/en-us/library/thxezb7y.aspx
    #EHsc: call destructors on __try __catch, and to ignore C4530: C++ exception handler used. Note, unwind semantics are not enabled
	#Add Backtrace library
    if (FL_BACKTRACE)
        set(FL_LIBS dbghelp)
    endif()
endif()


if(APPLE)
#Fix ld: symbol(s) not found for architecture x86_64 on mac
    set(FL_LIBS stdc++)
endif()


###BUILD SECTION

include_directories(.)

file(STRINGS FL_HEADERS fl-headers)
file(STRINGS FL_SOURCES fl-sources)
file(STRINGS FL_TESTS fl-tests)

string(REGEX REPLACE "\n" " " ${fl-headers} ${fl-headers})
string(REGEX REPLACE "\n" " " ${fl-sources} ${fl-sources})
string(REGEX REPLACE "\n" " " ${fl-tests} ${fl-tests})

message("${exepath}")


set(CMAKE_DEBUG_POSTFIX debug)

if (MSVC OR CMAKE_GENERATOR STREQUAL Xcode)
    if(FL_BUILD_SHARED)
        add_library(fl-shared SHARED ${fl-headers} ${fl-sources})
    endif()

    if(FL_BUILD_STATIC)
        add_library(fl-static STATIC ${fl-headers} ${fl-sources})
    endif()
else()
    if(FL_BUILD_SHARED OR FL_BUILD_STATIC)
        add_library(fl-obj OBJECT ${fl-headers} ${fl-sources})
        if(NOT MINGW)
            set_target_properties(fl-obj PROPERTIES COMPILE_FLAGS "-fPIC")
        endif()
    endif()

    if(FL_BUILD_SHARED)
        add_library(fl-shared SHARED $<TARGET_OBJECTS:fl-obj>)
    endif(FL_BUILD_SHARED)

    if(FL_BUILD_STATIC)
        add_library(fl-static STATIC $<TARGET_OBJECTS:fl-obj>)
    endif(FL_BUILD_STATIC)
endif()

if(FL_BUILD_SHARED)
    set_target_properties(fl-shared PROPERTIES OUTPUT_NAME fuzzylite)
    set_target_properties(fl-shared PROPERTIES DEBUG_POSTFIX -debug)
    target_compile_definitions(fl-shared PRIVATE FL_EXPORT_LIBRARY)
    set_target_properties(fl-shared PROPERTIES VERSION 6.0)
    target_link_libraries(fl-shared ${FL_LIBS})
endif()

if(FL_BUILD_STATIC)
    set_target_properties(fl-static PROPERTIES OUTPUT_NAME fuzzylite-static)
    set_target_properties(fl-static PROPERTIES DEBUG_POSTFIX -debug)
    set_target_properties(fl-static PROPERTIES VERSION 6.0)
    target_link_libraries(fl-static ${FL_LIBS})
endif()

if(FL_BUILD_BINARY)
    add_executable(fl-bin src/main.cpp)
    set_target_properties(fl-bin PROPERTIES OUTPUT_NAME fuzzylite)
    set_target_properties(fl-bin PROPERTIES OUTPUT_NAME fuzzylite IMPORT_PREFIX tmp-) #To prevent LNK1149 in Windows
    set_target_properties(fl-bin PROPERTIES DEBUG_POSTFIX -debug)
    target_compile_definitions(fl-bin PRIVATE FL_IMPORT_LIBRARY) #if building with fl-shared
    target_link_libraries(fl-bin fl-shared ${FL_LIBS})
endif(FL_BUILD_BINARY)

if(FL_BUILD_TESTS)
    add_executable(fl-test ${fl-headers} ${fl-tests})
    set_target_properties(fl-test PROPERTIES OUTPUT_NAME fuzzylite-tests)
    set_target_properties(fl-test PROPERTIES OUTPUT_NAME fuzzylite-tests IMPORT_PREFIX tmp-) #To prevent LNK1149 in Windows
    set_target_properties(fl-test PROPERTIES DEBUG_POSTFIX -debug)

    target_compile_definitions(fl-test PRIVATE FL_IMPORT_LIBRARY)
    if (FL_CPP98)
        target_compile_definitions(fl-test PRIVATE CATCH_CONFIG_NO_CPP11)
    endif()

    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        #Ignore QuickTest macro expansion comparison: CHECK(xstr(4+10) == "4+10")
        target_compile_options(fl-test PRIVATE -Wno-address)
    endif()
    if (MSVC)
        target_compile_options(fl-test PRIVATE /wd4130)
    endif()

    target_link_libraries(fl-test fl-shared ${FL_LIBS})

    enable_testing()
    add_test(NAME RunTests COMMAND fl-test)
#    add_test(NAME ListTests COMMAND fl-test --list-tests)
#    set_tests_properties(ListTests PROPERTIES PASS_REGULAR_EXPRESSION "[0-9]+ test case")
#    add_test(NAME ListTags COMMAND fl-test --list-tags)
#    set_tests_properties(ListTags PROPERTIES PASS_REGULAR_EXPRESSION "[0-9]+ tag")
endif()

###INSTALL SECTION
if(NOT FL_INSTALL_BINDIR)
    set(FL_INSTALL_BINDIR bin)
endif()

if(NOT FL_INSTALL_LIBDIR)
    if(NOT CMAKE_INSTALL_LIBDIR)
        set(FL_INSTALL_LIBDIR lib)
    else()
        set(FL_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
    endif()
endif()

if(FL_BUILD_BINARY)
    install(TARGETS fl-bin
            RUNTIME DESTINATION ${FL_INSTALL_BINDIR}
            LIBRARY DESTINATION ${FL_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${FL_INSTALL_LIBDIR}
    )
endif()

if(FL_BUILD_SHARED)
    install(TARGETS fl-shared
            RUNTIME DESTINATION ${FL_INSTALL_BINDIR}
            LIBRARY DESTINATION ${FL_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${FL_INSTALL_LIBDIR}
    )
endif()

if(FL_BUILD_STATIC)
    install(TARGETS fl-static
            RUNTIME DESTINATION ${FL_INSTALL_BINDIR}
            LIBRARY DESTINATION ${FL_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${FL_INSTALL_LIBDIR}
    )
endif()

install(DIRECTORY fl/ DESTINATION include/fl)

#pkg-config
configure_file(${CMAKE_SOURCE_DIR}/fuzzylite.pc.in ${CMAKE_BINARY_DIR}/fuzzylite.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/fuzzylite.pc DESTINATION ${FL_INSTALL_LIBDIR}/pkgconfig)

message("=====================================")
message("fuzzylite v6.0\n")
message("FL_CPP98=${FL_CPP98}")
message("FL_USE_FLOAT=${FL_USE_FLOAT}")
message("FL_BACKTRACE=${FL_BACKTRACE}")
message("FL_LIBS=${FL_LIBS}")
message("FL_INSTALL_BINDIR=${FL_INSTALL_BINDIR}")
message("FL_INSTALL_LIBDIR=${FL_INSTALL_LIBDIR}")
message("FL_BUILD_TESTS=${FL_BUILD_TESTS}")
message("")
message("CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
message("CMAKE_CXX_COMPILER_ID=${CMAKE_CXX_COMPILER_ID}")
message("CMAKE_CXX_COMPILER_VERSION=${CMAKE_CXX_COMPILER_VERSION}")
message("CMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}")
message("CMAKE_OSX_DEPLOYMENT_TARGET=${CMAKE_OSX_DEPLOYMENT_TARGET}")
message("COMPILE_DEFINITIONS:")
get_directory_property(fl-definitions DIRECTORY ${CMAKE_SOURCE_DIR} COMPILE_DEFINITIONS )
foreach(d ${fl-definitions})
    message( STATUS "Defined: " ${d} )
endforeach()

message("=====================================\n")

###UNINSTALL SECTION
#configure_file(
    #"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    #"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    #IMMEDIATE @ONLY)

#add_custom_target(uninstall
    #COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/uninstall.cmake)

#unix uninstall
#xargs rm < install_manifest.txt

=== examples/application/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

project(FuzzyLiteDemo CXX)

#Some default policies and variables
if (APPLE)
	cmake_policy(SET CMP0042 NEW)
endif()
if (MSVC)
	cmake_policy(SET CMP0054 NEW)
endif()

if(NOT CMAKE_VERBOSE_MAKEFILE)
    set(CMAKE_VERBOSE_MAKEFILE false)
endif()

if( NOT CMAKE_BUILD_TYPE )
    set( CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo
MinSizeRel." FORCE )
endif()

option(FL_BACKTRACE "Provide backtrace information in case of errors" ON)
option(FL_STATIC "Statically link to fuzzylite libraries" ON)

set(BacktraceLibrary)

if (MSVC AND FL_BACKTRACE)
    set(BacktraceLibrary dbghelp)
endif()

if (CMAKE_BUILD_TYPE MATCHES Debug)
    set(FL_DEBUG ON)
else()
    set(FL_DEBUG OFF)
endif()


set(FL_SYSTEM_LIBRARY FALSE) #Finds the library installed in the system
set(FL_LIBRARY_DIR)

if (NOT FL_SYSTEM_LIBRARY)
    #it is possible to find the FuzzyLiteLibrary locally as follows,
    #assuming the submodule of fuzzylite is added to the ${PROJECT_SOURCE_DIR}:
    set(FL_HOME ${PROJECT_SOURCE_DIR}/../../fuzzylite/)
    set(FL_INCLUDE_DIR ${FL_HOME})
    if (FL_DEBUG)
        set(FL_LIBRARY_DIR ${FL_HOME}/debug/bin)
    else()
        set(FL_LIBRARY_DIR ${FL_HOME}/release/bin)
    endif()
    message("Finding FuzzyLiteLibrary locally at ${FL_LIBRARY_DIR}")

    include_directories(${FL_INCLUDE_DIR})
endif()

set(FL_POSTFIX)
if (FL_STATIC)
    set(FL_POSTFIX "-static")
endif()
if (FL_DEBUG)
    set(FL_POSTFIX "${FL_POSTFIX}-debug")
endif()

set(FL_LIBRARY_NAME  fuzzylite${FL_POSTFIX})
find_library (FuzzyLiteLibrary ${FL_LIBRARY_NAME} HINTS ${FL_LIBRARY_DIR})

if (MSVC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 19)
#C++11 not available before Visual Studio 2015
    if (NOT FL_CPP98)
        set(FL_CPP98 ON)
    endif()
endif()


#if building using C++98
if(FL_CPP98)
    add_definitions(-DFL_CPP98)
    if(NOT MSVC)
        #Set C++98 by default in Clang and others
        add_definitions(-std=c++98)
    endif()
else()
    if(NOT MSVC)
        #Set C++11 by default in Clang and others
        add_definitions(-std=c++11)
    endif()
endif(FL_CPP98)

#we add the definition of the building path to remove it when using macro FL_LOG
add_definitions(-DFL_BUILD_PATH="${CMAKE_SOURCE_DIR}") #used to determine
#we add the sources
set(sources src/main.cpp)



if(MSVC)
#Set compilation flags in Windows
    set(CMAKE_CXX_FLAGS "/W4 /EHsc")
    #Wx: Treat warnings as errors. W4: All warnings
    #http://msdn.microsoft.com/en-us/library/thxezb7y.aspx
    #EHsc: call destructors on __try __catch, and to ignore C4530: C++ exception handler used. Note, unwind semantics are not enabled
endif()
 
	
#we create the binary
add_executable(binary ${sources})
if (NOT FL_STATIC)
    target_compile_definitions(binary PRIVATE FL_IMPORT_LIBRARY)
endif()
#linking the fuzzylite library
target_link_libraries (binary ${FuzzyLiteLibrary} ${BacktraceLibrary})
#setting the name of the product
set_target_properties(binary PROPERTIES OUTPUT_NAME FuzzyLiteDemo)
#specially for windows
set_target_properties(binary PROPERTIES OUTPUT_NAME FuzzyLiteDemo IMPORT_PREFIX tmp-) #To prevent LNK1149 in Windows
#in case of building on debug mode
set_target_properties(binary PROPERTIES DEBUG_POSTFIX d)



message("=====================================")
message("FuzzyLite Demo v6.0\n")
message("FL_HOME=${FL_HOME}")
message("FL_LIBRARY_NAME=${FL_LIBRARY_NAME}")
message("FuzzyLiteLibrary=${FuzzyLiteLibrary}")
message("")
message("FL_BACKTRACE=${FL_BACKTRACE}")
message("FL_STATIC=${FL_STATIC}")
message("FL_DEBUG=${FL_DEBUG}")
message("CMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
message("CMAKE_CXX_COMPILER_ID=${CMAKE_CXX_COMPILER_ID}")
message("CMAKE_CXX_COMPILER_VERSION=${CMAKE_CXX_COMPILER_VERSION}")
message("CMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}")
message("COMPILE_DEFINITIONS:")
get_directory_property(fl-definitions DIRECTORY ${CMAKE_SOURCE_DIR} COMPILE_DEFINITIONS )
foreach(d ${fl-definitions})
    message( STATUS "Defined: " ${d} )
endforeach()
message("=====================================\n")

=== debian/changelog ===
fuzzylite (6.0+dfsg-9) unstable; urgency=medium

  * bump cmake_minimum_required for CMake 4.0 (Closes: #1112939)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 25 Sep 2025 09:24:28 +0200

fuzzylite (6.0+dfsg-8) unstable; urgency=medium

  * debian/patches/catch2v3: #include <random> (Closes: #1084257)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 07 Oct 2024 12:46:48 +0200

fuzzylite (6.0+dfsg-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Johannes Schauer Marin Rodrigues ]
  * add patch for catch2 v3 (closes: #1054682)
  * debian/rules: build with FL_BUILD_TESTS=OFF with DEB_BUILD_OPTIONS=nocheck

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 28 Oct 2023 08:25:04 +0200

fuzzylite (6.0+dfsg-6) unstable; urgency=medium

  * debian/patches/reproducible.patch: add authorship information
  * debian/patches/fix-tests2.patch: update author email

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 12 Sep 2022 13:21:12 +0200

fuzzylite (6.0+dfsg-5) unstable; urgency=medium

  * debian/rules: set -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to make the build
    reproducible
  * add patch to replace Catch with Catch2 (Closes: #1017155)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 12 Sep 2022 10:23:13 +0200

fuzzylite (6.0+dfsg-4) unstable; urgency=medium

  * add patch from https://github.com/fuzzylite/fuzzylite/pull/108 to support
    building with gcc-12 (closes: #1012933)
  * debian/salsa-ci.yml: enable SALSA_CI_REPROTEST_ENABLE_DIFFOSCOPE
  * debian/rules: disable LTO as it makes the testsuite fail
  * debian/{control,copyright}: fix my name

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 17 Jun 2022 10:57:37 +0200

fuzzylite (6.0+dfsg-3) unstable; urgency=medium

  * add debian/salsa-ci.yml
  * add debian/gbp.conf
  * debian/rules: remove get-orig-source target
  * debian/libfuzzylite6.0.lintian-overrides: update for new library version
    and lintian tag name
  * remove debian/compat in favor of debhelper-compat (= 13)
  * debian/control: update Vcs-Browser and Vcs-Git for salsa
  * debian/rules: remove dh_install --fail-missing (it's the default now)
  * debian/control: add Rules-Requires-Root: no
  * debian/control: bump Standards-Version to 4.5.0 (no changes required)
  * add patch to make reproducible
  * debian/rules: build with reproducible=+fixfilepath (closes: #972303)

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 27 Oct 2020 09:28:00 +0100

fuzzylite (6.0+dfsg-2) unstable; urgency=medium

  * instead of symlinking the examples directory, change the build directory
  * set DPKG_EXPORT_BUILDFLAGS=1 for hardening
  * add patch to fix unit test on i386

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 03 Feb 2019 10:43:13 +0100

fuzzylite (6.0+dfsg-1) unstable; urgency=medium

  * new upstream version
  * install examples in fuzzylite package
  * SONAME change: replace libfuzzylite5.1v5 with libfuzzylite6.0
  * put libfuzzylite6.0 in section libs
  * disable pkgkde-symbolshelper: too little gain for all the work
  * use secure copyright-format-uri

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 27 Jan 2019 15:49:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+fixfilepath optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# for DEB_HOST_GNU_TYPE and DEB_HOST_MULTIARCH
include /usr/share/dpkg/architecture.mk

# we build in a subdirectory of ./fuzzylite because the unit tests expect the
# ./examples directory to be two levels above, see
# https://github.com/fuzzylite/fuzzylite/issues/85
%:
	dh $@ --sourcedirectory=fuzzylite --builddirectory=fuzzylite/obj-$(DEB_HOST_GNU_TYPE)

CONFOPTS += -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
CONFOPTS += -DCMAKE_VERBOSE_MAKEFILE=true
CONFOPTS += -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	CONFOPTS += -DFL_BUILD_TESTS=OFF
else
	CONFOPTS += -DFL_BUILD_TESTS=ON
endif
override_dh_auto_configure:
	dh_auto_configure -- $(CONFOPTS)

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//" \
 https://github.com/fuzzylite/fuzzylite/releases .*/v(\d[\d\.]*)\.tar\.gz
